Pages
Archive a page
Archive a page and disable all of its links. Reversible: pages.publish restores PUBLISHED, links are re-enabled individually via pages.links_update.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
page_id*Page Id
Resource identifier: page_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/pages/123e4567-e89b-42d3-a456-426614174000/archive" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174002", "kind": "html", "name": "Quarterly report", "status": "ARCHIVED", "source_type": "USER", "source_id": null, "current_version": { "id": "123e4567-e89b-42d3-a456-426614174001", "number": 3, "content_hash": "3f786850e387550fdab836ed7e6dc881de23001b", "created_at": "2026-09-04T12:00:00Z" }, "submission_count": 0, "link_count": 1, "visit_count": 12, "created_at": "2026-09-04T12:00:00Z", "updated_at": "2026-09-04T12:00:00Z", "source_document_id": null, "source_metadata": {}, "draft_definition": {}, "draft_settings": {}, "draft_assets": [], "created_by": { "id": "123e4567-e89b-42d3-a456-426614174002", "name": "Ada Lovelace", "email": "ada@example.com" }}